#!/bin/bash 

#Nome do Script: servidor.sh
#Desenvolvido para o Rokr E2
#Criado por: Th!@go
#Agradecimentos a Junior Passos

mypath="${0%/*}"

applist=`showList -t "Servidor Web" -c "Seleccione lo que desea:" -lsk Menu -rsk Salir -i "$ICONESDIR/Servidor.png" -menustart "Ayuda" help "Sobre" about "Salir" exit -menuend "Enable" "Startup" "Desactivar"`

if [ "$applist" == "help" ]
then
showQ -t "Ajuda" -lsk Voltar -i "$ICONESDIR/Servidor.png" -c "Aplicación diseñada para ver la información del sistema, escriba command y capturar imágenes de la pantalla del teléfono por el navegador de su ordenador.
Desarrollado por Th!@Go." -p 2
$mypath/servidor.sh
fi

if [ "$applist" == "exit" ]
then
showNotify -t "Servidor WEB"  -i "$ICONESDIR/Servidor.png" -c "Gracias por usar el Servidor Web.
©2010 Th!@go" -p 0
exit
fi

if [ "$applist" == "about" ]
then
showQ -t "Sobre"  -lsk Voltar  -i "$ICONESDIR/Servidor.png" -c "Aplicación basada en Web Server es ZN5 por Junior Passos.

Desarrollado para
MP Rokr E²xtreme Brasil.

Gracias a Junior Passos.

©2010 Th!@go
e-mail:
thiago@gsmmasters.com.br

Visita: www.gsmmasters.com.br" -p 2
$mypath/servidor.sh
fi

if [ $applist -eq 1 ]; then
	  showProcess "cp -r $mypath/evolution /ezxlocal/
	  echo '/ezxlocal/evolution/servidor/servidor1.sh -on &' > /ezxlocal/download/mystuff/unKnown/S30servidor" 	"Servidor WEB" "Modificación Archivos..."
      $mypath/servidor1.sh &
elif [ $applist -eq 2 ]; then
	exec /ezxlocal/download/mystuff/unKnown/S30servidor &
elif [ $applist -eq 3 ]; then
	  showProcess "rm -rf /ezxlocal/.system/QTDownLoad/Servidor/busybox
	  rm /ezxlocal/download/mystuff/unKnown/S30servidor
	  rm /ezxlocal/evolution/servidor/webroot/cgi-bin/*
	  rmdir /ezxlocal/evolution/servidor/webroot/cgi-bin
	  rm /ezxlocal/evolution/servidor/webroot/images/*
	  rmdir /ezxlocal/evolution/servidor/webroot/images
	  rm /ezxlocal/evolution/servidor/webroot/*
	  rmdir /ezxlocal/evolution/servidor/webroot
	  rm /ezxlocal/evolution/servidor/*
	  rmdir /ezxlocal/evolution/servidor
	  rmdir /ezxlocal/evolution" "Servidor WEB" "Modificación Archivos..."
	  showQ -t "Servidor Web" -i "$ICONESDIR/Servidor.png" -c "Desactivado correctamente!" -p 2 &
fi